#include <math.h>

void getRBConGradientOPTMetaTest (
  double young,
  double shear,
  double radw,
  double radh,
  double hL0,
  double *defRefTanRB,
  double *defRefNorRB,
  double *iniRefTanRO,
  double *iniRefNorRO,
  double rtx,
  double *ex,
  double thetax,
  double *energyGradient)
{
  double t10;
  double t1001;
  double t1005;
  double t1007;
  double t1009;
  double t101;
  double t1011;
  double t1016;
  double t1018;
  double t1021;
  double t1030;
  double t1042;
  double t1056;
  double t1059;
  double t106;
  double t107;
  double t1070;
  double t1075;
  double t1088;
  double t109;
  double t1094;
  double t11;
  double t1107;
  double t111;
  double t1128;
  double t113;
  double t1131;
  double t1145;
  double t1150;
  double t1159;
  double t1168;
  double t1177;
  double t118;
  double t1190;
  double t12;
  double t1241;
  double t1244;
  double t1251;
  double t126;
  double t1261;
  double t127;
  double t13;
  double t130;
  double t136;
  double t14;
  double t141;
  double t15;
  double t151;
  double t157;
  double t16;
  double t167;
  double t169;
  double t17;
  double t173;
  double t174;
  double t175;
  double t177;
  double t179;
  double t18;
  double t180;
  double t181;
  double t183;
  double t184;
  double t187;
  double t188;
  double t189;
  double t19;
  double t191;
  double t192;
  double t193;
  double t195;
  double t196;
  double t199;
  double t20;
  double t201;
  double t202;
  double t206;
  double t208;
  double t209;
  double t21;
  double t214;
  double t217;
  double t218;
  double t22;
  double t221;
  double t223;
  double t225;
  double t229;
  double t23;
  double t232;
  double t233;
  double t235;
  double t24;
  double t243;
  double t246;
  double t247;
  double t248;
  double t251;
  double t252;
  double t254;
  double t255;
  double t257;
  double t258;
  double t26;
  double t262;
  double t263;
  double t264;
  double t265;
  double t268;
  double t271;
  double t272;
  double t275;
  double t277;
  double t278;
  double t28;
  double t283;
  double t285;
  double t286;
  double t287;
  double t29;
  double t291;
  double t293;
  double t295;
  double t3;
  double t303;
  double t306;
  double t307;
  double t308;
  double t316;
  double t317;
  double t321;
  double t325;
  double t327;
  double t329;
  double t333;
  double t337;
  double t343;
  double t344;
  double t346;
  double t348;
  double t35;
  double t356;
  double t362;
  double t365;
  double t368;
  double t370;
  double t371;
  double t376;
  double t383;
  double t385;
  double t386;
  double t391;
  double t395;
  double t398;
  double t4;
  double t404;
  double t408;
  double t415;
  double t417;
  double t418;
  double t421;
  double t423;
  double t424;
  double t425;
  double t43;
  double t436;
  double t439;
  double t447;
  double t448;
  double t45;
  double t450;
  double t458;
  double t459;
  double t46;
  double t460;
  double t463;
  double t47;
  double t470;
  double t473;
  double t476;
  double t48;
  double t481;
  double t486;
  double t489;
  double t49;
  double t494;
  double t499;
  double t5;
  double t50;
  double t503;
  double t508;
  double t514;
  double t518;
  double t52;
  double t522;
  double t526;
  double t53;
  double t530;
  double t531;
  double t536;
  double t542;
  double t543;
  double t549;
  double t55;
  double t553;
  double t556;
  double t566;
  double t567;
  double t573;
  double t579;
  double t58;
  double t583;
  double t589;
  double t6;
  double t61;
  double t62;
  double t63;
  double t643;
  double t648;
  double t65;
  double t650;
  double t651;
  double t654;
  double t657;
  double t66;
  double t660;
  double t661;
  double t667;
  double t670;
  double t675;
  double t68;
  double t680;
  double t688;
  double t69;
  double t691;
  double t696;
  double t697;
  double t7;
  double t700;
  double t701;
  double t705;
  double t708;
  double t71;
  double t711;
  double t716;
  double t72;
  double t721;
  double t732;
  double t737;
  double t745;
  double t758;
  double t762;
  double t765;
  double t769;
  double t777;
  double t78;
  double t782;
  double t787;
  double t798;
  double t8;
  double t80;
  double t806;
  double t819;
  double t82;
  double t821;
  double t822;
  double t84;
  double t843;
  double t85;
  double t858;
  double t862;
  double t866;
  double t867;
  double t870;
  double t879;
  double t888;
  double t893;
  double t898;
  double t9;
  double t90;
  double t909;
  double t912;
  double t918;
  double t920;
  double t94;
  double t941;
  double t942;
  double t95;
  double t954;
  double t96;
  double t961;
  double t965;
  double t969;
  double t97;
  double t973;
  double t974;
  double t976;
  double t981;
  double t984;
  double t99;
  double t994;
  double t997;
  double t998;
  double t999;
  t3 = shear * radw * radh * M_PI;
  t4 = radw * radw;
  t5 = radh * radh;
  t6 = t4 + t5;
  t15 = ex[0];
  t7 = t15 * t15;
  t18 = ex[1];
  t8 = t18 * t18;
  t21 = ex[2];
  t9 = t21 * t21;
  t10 = t7 + t8 + t9;
  t11 = sqrt(t10);
  t12 = 0.1e1 / t11;
  t13 = t12 * t18;
  t24 = iniRefTanRO[0];
  t14 = t24 * t12;
  t16 = 0.1e1 * t14 * t15;
  t26 = iniRefTanRO[1];
  t17 = t26 * t12;
  t19 = 0.1e1 * t17 * t18;
  t28 = iniRefTanRO[2];
  t20 = t28 * t12;
  t22 = 0.1e1 * t20 * t21;
  t23 = t16 + t19 + t22;
  t29 = 0.1e1 * t17 * t21 - 0.1e1 * t20 * t18;
  t35 = 0.1e1 * t20 * t15 - 0.1e1 * t14 * t21;
  t43 = 0.1e1 * t14 * t18 - 0.1e1 * t17 * t15;
  t49 = iniRefNorRO[0];
  t52 = iniRefNorRO[1];
  t55 = iniRefNorRO[2];
  t45 = t29 * t49 + t35 * t52 + t43 * t55;
  t46 = 0.1e1 + t16 + t19 + t22;
  t47 = 0.1e1 / t46;
  t48 = t45 * t47;
  t50 = t23 * t55 + t29 * t52 - t35 * t49 + t48 * t43;
  t53 = t12 * t21;
  t58 = t23 * t52 + t43 * t49 - t29 * t55 + t48 * t35;
  t61 = 0.1e1 * t13 * t50 - 0.1e1 * t53 * t58;
  t62 = cos(rtx);
  t80 = defRefTanRB[0];
  t63 = t80 * t12;
  t65 = 0.1e1 * t63 * t15;
  t82 = defRefTanRB[1];
  t66 = t82 * t12;
  t68 = 0.1e1 * t66 * t18;
  t85 = defRefTanRB[2];
  t69 = t85 * t12;
  t71 = 0.1e1 * t69 * t21;
  t72 = t65 + t68 + t71;
  t78 = 0.1e1 * t69 * t15 - 0.1e1 * t63 * t21;
  t84 = 0.1e1 * t63 * t18 - 0.1e1 * t66 * t15;
  t90 = 0.1e1 * t66 * t21 - 0.1e1 * t69 * t18;
  t107 = defRefNorRB[0];
  t109 = defRefNorRB[1];
  t111 = defRefNorRB[2];
  t94 = t90 * t107 + t78 * t109 + t84 * t111;
  t95 = 0.1e1 + t65 + t68 + t71;
  t96 = 0.1e1 / t95;
  t97 = t94 * t96;
  t99 = t72 * t107 + t78 * t111 - t84 * t109 + t97 * t90;
  t101 = sin(rtx);
  t106 = t72 * t111 + t90 * t109 - t78 * t107 + t97 * t84;
  t113 = t72 * t109 + t84 * t107 - t90 * t111 + t97 * t78;
  t118 = t12 * t15;
  t126 = 0.1e1 - t62;
  t127 = (0.1e1 * t118 * t99 + 0.1e1 * t13 * t113 + 0.1e1 * t53 * t106) * t126;
  t130 = t62 * t99 + t101 * (0.1e1 * t13 * t106 - 0.1e1 * t53 * t113) + 0.1e1 * t127 * t118;
  t136 = t23 * t49 + t35 * t55 - t43 * t52 + t48 * t29;
  t141 = 0.1e1 * t53 * t136 - 0.1e1 * t118 * t50;
  t151 = t62 * t113 + t101 * (0.1e1 * t53 * t99 - 0.1e1 * t118 * t106) + 0.1e1 * t127 * t13;
  t157 = 0.1e1 * t118 * t58 - 0.1e1 * t13 * t136;
  t167 = t62 * t106 + t101 * (0.1e1 * t118 * t113 - 0.1e1 * t13 * t99) + 0.1e1 * t127 * t53;
  t169 = t61 * t130 + t141 * t151 + t157 * t167;
  t173 = t136 * t130 + t58 * t151 + t50 * t167;
  t174 = atan2(t169, t173);
  t175 = thetax + rtx - t174;
  t177 = 0.1e1 / hL0;
  t179 = t12 / t10;
  t180 = t179 * t18;
  t181 = t50 * t15;
  t183 = 0.1e1 * t180 * t181;
  t184 = t24 * t179;
  t187 = 0.1e1 * t14;
  t188 = t26 * t179;
  t189 = t18 * t15;
  t191 = 0.1e1 * t188 * t189;
  t192 = t28 * t179;
  t193 = t21 * t15;
  t195 = 0.1e1 * t192 * t193;
  t196 = -0.1e1 * t184 * t7 + t187 - t191 - t195;
  t199 = 0.1e1 * t188 * t193;
  t201 = 0.1e1 * t192 * t189;
  t202 = -t199 + t201;
  t206 = 0.1e1 * t20;
  t208 = 0.1e1 * t184 * t193;
  t209 = -0.1e1 * t192 * t7 + t206 + t208;
  t214 = 0.1e1 * t184 * t189;
  t217 = 0.1e1 * t17;
  t218 = -t214 + 0.1e1 * t188 * t7 - t217;
  t221 = (t202 * t49 + t209 * t52 + t218 * t55) * t47;
  t223 = t46 * t46;
  t225 = t45 / t223;
  t247 = t225 * t43;
  t229 = t196 * t55 + t202 * t52 - t209 * t49 + t221 * t43 - t247 * t196 + t48 * t218;
  t232 = t179 * t21;
  t233 = t58 * t15;
  t235 = 0.1e1 * t232 * t233;
  t263 = t225 * t35;
  t243 = t196 * t52 + t218 * t49 - t202 * t55 + t221 * t35 - t263 * t196 + t48 * t209;
  t246 = -t183 + 0.1e1 * t13 * t229 + t235 - 0.1e1 * t53 * t243;
  t248 = t80 * t179;
  t251 = 0.1e1 * t63;
  t252 = t82 * t179;
  t254 = 0.1e1 * t252 * t189;
  t255 = t85 * t179;
  t257 = 0.1e1 * t255 * t193;
  t258 = -0.1e1 * t248 * t7 + t251 - t254 - t257;
  t262 = 0.1e1 * t69;
  t264 = 0.1e1 * t248 * t193;
  t265 = -0.1e1 * t255 * t7 + t262 + t264;
  t268 = 0.1e1 * t248 * t189;
  t271 = 0.1e1 * t66;
  t272 = -t268 + 0.1e1 * t252 * t7 - t271;
  t275 = 0.1e1 * t252 * t193;
  t277 = 0.1e1 * t255 * t189;
  t278 = -t275 + t277;
  t283 = (t278 * t107 + t265 * t109 + t272 * t111) * t96;
  t285 = t95 * t95;
  t286 = 0.1e1 / t285;
  t287 = t94 * t286;
  t307 = t287 * t90;
  t291 = t258 * t107 + t265 * t111 - t272 * t109 + t283 * t90 - t307 * t258 + t97 * t278;
  t293 = t106 * t15;
  t295 = 0.1e1 * t180 * t293;
  t317 = t287 * t84;
  t303 = t258 * t111 + t278 * t109 - t265 * t107 + t283 * t84 - t317 * t258 + t97 * t272;
  t306 = t113 * t15;
  t308 = 0.1e1 * t232 * t306;
  t327 = t287 * t78;
  t316 = t258 * t109 + t272 * t107 - t278 * t111 + t283 * t78 - t327 * t258 + t97 * t265;
  t321 = t179 * t7;
  t325 = 0.1e1 * t12 * t99;
  t329 = 0.1e1 * t180 * t306;
  t333 = 0.1e1 * t232 * t293;
  t337 = (-0.1e1 * t321 * t99 + t325 + 0.1e1 * t118 * t291 - t329 + 0.1e1 * t13 * t316 - t333 + 0.1e1 * t53 * t303) * t126;
  t343 = 0.1e1 * t127 * t12;
  t344 = t62 * t291 + t101 * (-t295 + 0.1e1 * t13 * t303 + t308 - 0.1e1 * t53 * t316) + 0.1e1 * t337 * t118 - 0.1e1 * t127 * t321 + t343;
  t346 = t136 * t15;
  t348 = 0.1e1 * t232 * t346;
  t371 = t225 * t29;
  t356 = t196 * t49 + t209 * t55 - t218 * t52 + t221 * t29 - t371 * t196 + t48 * t202;
  t362 = 0.1e1 * t12 * t50;
  t365 = -t348 + 0.1e1 * t53 * t356 + 0.1e1 * t321 * t50 - t362 - 0.1e1 * t118 * t229;
  t368 = t99 * t15;
  t370 = 0.1e1 * t232 * t368;
  t376 = 0.1e1 * t12 * t106;
  t383 = t180 * t15;
  t385 = 0.1e1 * t127 * t383;
  t386 = t62 * t316 + t101 * (-t370 + 0.1e1 * t53 * t291 + 0.1e1 * t321 * t106 - t376 - 0.1e1 * t118 * t303) + 0.1e1 * t13 * t337 - t385;
  t391 = 0.1e1 * t12 * t58;
  t395 = 0.1e1 * t180 * t346;
  t398 = -0.1e1 * t321 * t58 + t391 + 0.1e1 * t118 * t243 + t395 - 0.1e1 * t13 * t356;
  t404 = 0.1e1 * t12 * t113;
  t408 = 0.1e1 * t180 * t368;
  t415 = t232 * t15;
  t417 = 0.1e1 * t127 * t415;
  t418 = t62 * t303 + t101 * (-0.1e1 * t321 * t113 + t404 + 0.1e1 * t118 * t316 + t408 - 0.1e1 * t13 * t291) + 0.1e1 * t337 * t53 - t417;
  t421 = 0.1e1 / t173;
  t423 = t173 * t173;
  t424 = 0.1e1 / t423;
  t425 = t169 * t424;
  t436 = t169 * t169;
  t439 = 0.1e1 / (0.1e1 + t436 * t424);
  t447 = t96 * t90;
  t448 = cos(thetax);
  t450 = sin(thetax);
  t458 = 0.1e1 * t118 * t136 + 0.1e1 * t13 * t58 + 0.1e1 * t53 * t50;
  t459 = 0.1e1 - t448;
  t460 = t458 * t459;
  t463 = t50 * t448 + t450 * t157 + 0.1e1 * t460 * t53;
  t470 = t448 * t58 + t450 * t141 + 0.1e1 * t460 * t13;
  t473 = 0.1e1 * t13 * t463 - 0.1e1 * t53 * t470;
  t476 = t96 * t78;
  t481 = t448 * t136 + t450 * t61 + 0.1e1 * t460 * t118;
  t486 = 0.1e1 * t53 * t481 - 0.1e1 * t118 * t463;
  t489 = t96 * t84;
  t494 = 0.1e1 * t118 * t470 - 0.1e1 * t13 * t481;
  t499 = t286 * t90;
  t503 = t96 * t278;
  t508 = 0.1e1 * t180 * t463 * t15;
  t514 = 0.1e1 * t12 * t136;
  t518 = 0.1e1 * t180 * t233;
  t522 = 0.1e1 * t232 * t181;
  t526 = (-0.1e1 * t321 * t136 + t514 + 0.1e1 * t118 * t356 - t518 + 0.1e1 * t13 * t243 - t522 + 0.1e1 * t53 * t229) * t459;
  t530 = 0.1e1 * t460 * t415;
  t531 = t448 * t229 + t450 * t398 + 0.1e1 * t526 * t53 - t530;
  t536 = 0.1e1 * t232 * t470 * t15;
  t542 = 0.1e1 * t460 * t383;
  t543 = t448 * t243 + t450 * t365 + 0.1e1 * t526 * t13 - t542;
  t549 = t286 * t78;
  t553 = t96 * t265;
  t556 = t481 * t15;
  t566 = 0.1e1 * t460 * t12;
  t567 = t448 * t356 + t450 * t246 + 0.1e1 * t526 * t118 - 0.1e1 * t460 * t321 + t566;
  t573 = 0.1e1 * t12 * t463;
  t579 = t286 * t84;
  t583 = t96 * t272;
  t589 = 0.1e1 * t12 * t470;
  t643 = t179 * t8;
  t648 = t21 * t18;
  t650 = 0.1e1 * t192 * t648;
  t651 = -t214 - 0.1e1 * t188 * t8 + t217 - t650;
  t654 = 0.1e1 * t188 * t648;
  t657 = -t654 + 0.1e1 * t192 * t8 - t206;
  t660 = 0.1e1 * t184 * t648;
  t661 = -t201 + t660;
  t667 = -0.1e1 * t184 * t8 + t187 + t191;
  t670 = (t657 * t49 + t661 * t52 + t667 * t55) * t47;
  t675 = t651 * t55 + t657 * t52 - t661 * t49 + t670 * t43 - t247 * t651 + t48 * t667;
  t680 = 0.1e1 * t232 * t58 * t18;
  t688 = t651 * t52 + t667 * t49 - t657 * t55 + t670 * t35 - t263 * t651 + t48 * t661;
  t691 = -0.1e1 * t643 * t50 + t362 + 0.1e1 * t13 * t675 + t680 - 0.1e1 * t53 * t688;
  t696 = 0.1e1 * t255 * t648;
  t697 = -t268 - 0.1e1 * t252 * t8 + t271 - t696;
  t700 = 0.1e1 * t248 * t648;
  t701 = -t277 + t700;
  t705 = -0.1e1 * t248 * t8 + t251 + t254;
  t708 = 0.1e1 * t252 * t648;
  t711 = -t708 + 0.1e1 * t255 * t8 - t262;
  t716 = (t711 * t107 + t701 * t109 + t705 * t111) * t96;
  t721 = t697 * t107 + t701 * t111 - t705 * t109 + t716 * t90 - t307 * t697 + t97 * t711;
  t732 = t697 * t111 + t711 * t109 - t701 * t107 + t716 * t84 - t317 * t697 + t97 * t705;
  t737 = 0.1e1 * t232 * t113 * t18;
  t745 = t697 * t109 + t705 * t107 - t711 * t111 + t716 * t78 - t327 * t697 + t97 * t701;
  t758 = 0.1e1 * t232 * t106 * t18;
  t762 = (-t408 + 0.1e1 * t118 * t721 - 0.1e1 * t643 * t113 + t404 + 0.1e1 * t13 * t745 - t758 + 0.1e1 * t53 * t732) * t126;
  t765 = t62 * t721 + t101 * (-0.1e1 * t643 * t106 + t376 + 0.1e1 * t13 * t732 + t737 - 0.1e1 * t53 * t745) + 0.1e1 * t762 * t118 - t385;
  t769 = 0.1e1 * t232 * t136 * t18;
  t777 = t651 * t49 + t661 * t55 - t667 * t52 + t670 * t29 - t371 * t651 + t48 * t657;
  t782 = -t769 + 0.1e1 * t53 * t777 + t183 - 0.1e1 * t118 * t675;
  t787 = 0.1e1 * t232 * t99 * t18;
  t798 = t62 * t745 + t101 * (-t787 + 0.1e1 * t53 * t721 + t295 - 0.1e1 * t118 * t732) + 0.1e1 * t762 * t13 - 0.1e1 * t127 * t643 + t343;
  t806 = -t518 + 0.1e1 * t118 * t688 + 0.1e1 * t643 * t136 - t514 - 0.1e1 * t13 * t777;
  t819 = t232 * t18;
  t821 = 0.1e1 * t127 * t819;
  t822 = t62 * t732 + t101 * (-t329 + 0.1e1 * t118 * t745 + 0.1e1 * t643 * t99 - t325 - 0.1e1 * t13 * t721) + 0.1e1 * t762 * t53 - t821;
  t843 = t96 * t711;
  t858 = 0.1e1 * t232 * t50 * t18;
  t862 = (-t395 + 0.1e1 * t118 * t777 - 0.1e1 * t643 * t58 + t391 + 0.1e1 * t13 * t688 - t858 + 0.1e1 * t53 * t675) * t459;
  t866 = 0.1e1 * t460 * t819;
  t867 = t448 * t675 + t450 * t806 + 0.1e1 * t862 * t53 - t866;
  t870 = t470 * t18;
  t879 = t448 * t688 + t450 * t782 + 0.1e1 * t862 * t13 - 0.1e1 * t460 * t643 + t566;
  t888 = t96 * t701;
  t893 = 0.1e1 * t232 * t481 * t18;
  t898 = t448 * t777 + t450 * t691 + 0.1e1 * t862 * t118 - t542;
  t909 = t96 * t705;
  t912 = t179 * t15;
  t920 = 0.1e1 * t12 * t481;
  t961 = -t208 - t654 - 0.1e1 * t192 * t9 + t206;
  t965 = -0.1e1 * t188 * t9 + t217 + t650;
  t969 = -t195 + 0.1e1 * t184 * t9 - t187;
  t973 = -t660 + t199;
  t976 = (t965 * t49 + t969 * t52 + t973 * t55) * t47;
  t981 = t961 * t55 + t965 * t52 - t969 * t49 + t976 * t43 - t247 * t961 + t48 * t973;
  t984 = t179 * t9;
  t994 = t961 * t52 + t973 * t49 - t965 * t55 + t976 * t35 - t263 * t961 + t48 * t969;
  t997 = -t858 + 0.1e1 * t13 * t981 + 0.1e1 * t984 * t58 - t391 - 0.1e1 * t53 * t994;
  t1001 = -t264 - t708 - 0.1e1 * t255 * t9 + t262;
  t1005 = -t257 + 0.1e1 * t248 * t9 - t251;
  t1007 = -t700 + t275;
  t1011 = -0.1e1 * t252 * t9 + t271 + t696;
  t1016 = (t1011 * t107 + t1005 * t109 + t1007 * t111) * t96;
  t1021 = t1001 * t107 + t1005 * t111 - t1007 * t109 + t1016 * t90 - t307 * t1001 + t97 * t1011;
  t1030 = t1001 * t111 + t1011 * t109 - t1005 * t107 + t1016 * t84 - t317 * t1001 + t97 * t1007;
  t1042 = t1001 * t109 + t1007 * t107 - t1011 * t111 + t1016 * t78 - t327 * t1001 + t97 * t1005;
  t1056 = (-t370 + 0.1e1 * t118 * t1021 - t737 + 0.1e1 * t13 * t1042 - 0.1e1 * t984 * t106 + t376 + 0.1e1 * t53 * t1030) * t126;
  t1059 = t62 * t1021 + t101 * (-t758 + 0.1e1 * t13 * t1030 + 0.1e1 * t984 * t113 - t404 - 0.1e1 * t53 * t1042) + 0.1e1 * t1056 * t118 - t417;
  t1070 = t961 * t49 + t969 * t55 - t973 * t52 + t976 * t29 - t371 * t961 + t48 * t965;
  t1075 = -0.1e1 * t984 * t136 + t514 + 0.1e1 * t53 * t1070 + t522 - 0.1e1 * t118 * t981;
  t1088 = t62 * t1042 + t101 * (-0.1e1 * t984 * t99 + t325 + 0.1e1 * t53 * t1021 + t333 - 0.1e1 * t118 * t1030) + 0.1e1 * t1056 * t13 - t821;
  t1094 = -t235 + 0.1e1 * t118 * t994 + t769 - 0.1e1 * t13 * t1070;
  t1107 = t62 * t1030 + t101 * (-t308 + 0.1e1 * t118 * t1042 + t787 - 0.1e1 * t13 * t1021) + 0.1e1 * t1056 * t53 - 0.1e1 * t127 * t984 + t343;
  t1128 = t96 * t1011;
  t1131 = t463 * t21;
  t1145 = (-t348 + 0.1e1 * t118 * t1070 - t680 + 0.1e1 * t13 * t994 - 0.1e1 * t984 * t50 + t362 + 0.1e1 * t53 * t981) * t459;
  t1150 = t448 * t981 + t450 * t1094 + 0.1e1 * t1145 * t53 - 0.1e1 * t460 * t984 + t566;
  t1159 = t448 * t994 + t450 * t1075 + 0.1e1 * t1145 * t13 - t866;
  t1168 = t96 * t1005;
  t1177 = t448 * t1070 + t450 * t997 + 0.1e1 * t1145 * t118 - t530;
  t1190 = t96 * t1007;
  t1241 = t458 * t450;
  t1244 = -t450 * t50 + t448 * t157 + 0.1e1 * t1241 * t53;
  t1251 = -t450 * t58 + t448 * t141 + 0.1e1 * t1241 * t13;
  t1261 = -t450 * t136 + t448 * t61 + 0.1e1 * t1241 * t118;
  t918 = t3 * t6 * t175;
  t941 = young * radw * t5 * radh * M_PI * (0.2e1 * t447 * t473 + 0.2e1 * t476 * t486 + 0.2e1 * t489 * t494);
  t942 = t499 * t473;
  t954 = t549 * t486;
  t974 = t579 * t494;
  t998 = young * t4 * radw * radh * M_PI * (-0.2e1 * t481 * t447 - 0.2e1 * t476 * t470 - 0.2e1 * t489 * t463);
  t999 = t481 * t499;
  t1009 = t549 * t470;
  t1018 = t579 * t463;
  energyGradient[0] = -0.2500000000e0 * t918 * t177 * ((t246 * t130 + t61 * t344 + t365 * t151 + t141 * t386 + t398 * t167 + t157 * t418) * t421 - t425 * (t356 * t130 + t136 * t344 + t243 * t151 + t58 * t386 + t229 * t167 + t50 * t418)) * t439 + (0.50e0 * t941 * (-0.2e1 * t942 * t258 + 0.2e1 * t503 * t473 + 0.2e1 * t447 * (-t508 + 0.1e1 * t13 * t531 + t536 - 0.1e1 * t53 * t543) - 0.2e1 * t954 * t258 + 0.2e1 * t553 * t486 + 0.2e1 * t476 * (-0.1e1 * t232 * t556 + 0.1e1 * t53 * t567 + 0.1e1 * t321 * t463 - t573 - 0.1e1 * t118 * t531) - 0.2e1 * t974 * t258 + 0.2e1 * t583 * t494 + 0.2e1 * t489 * (-0.1e1 * t321 * t470 + t589 + 0.1e1 * t118 * t543 + 0.1e1 * t180 * t556 - 0.1e1 * t13 * t567)) + 0.50e0 * t998 * (0.2e1 * t999 * t258 - 0.2e1 * t503 * t481 - 0.2e1 * t447 * t567 + 0.2e1 * t1009 * t258 - 0.2e1 * t553 * t470 - 0.2e1 * t476 * t543 + 0.2e1 * t1018 * t258 - 0.2e1 * t583 * t463 - 0.2e1 * t489 * t531)) * t177 / 0.2e1;
  energyGradient[1] = -0.2500000000e0 * t918 * t177 * ((t691 * t130 + t61 * t765 + t782 * t151 + t141 * t798 + t806 * t167 + t157 * t822) * t421 - t425 * (t777 * t130 + t136 * t765 + t688 * t151 + t58 * t798 + t675 * t167 + t50 * t822)) * t439 + (0.50e0 * t941 * (-0.2e1 * t942 * t697 + 0.2e1 * t843 * t473 + 0.2e1 * t447 * (-0.1e1 * t643 * t463 + t573 + 0.1e1 * t13 * t867 + 0.1e1 * t232 * t870 - 0.1e1 * t53 * t879) - 0.2e1 * t954 * t697 + 0.2e1 * t888 * t486 + 0.2e1 * t476 * (-t893 + 0.1e1 * t53 * t898 + t508 - 0.1e1 * t118 * t867) - 0.2e1 * t974 * t697 + 0.2e1 * t909 * t494 + 0.2e1 * t489 * (-0.1e1 * t912 * t870 + 0.1e1 * t118 * t879 + 0.1e1 * t643 * t481 - t920 - 0.1e1 * t13 * t898)) + 0.50e0 * t998 * (0.2e1 * t999 * t697 - 0.2e1 * t843 * t481 - 0.2e1 * t447 * t898 + 0.2e1 * t1009 * t697 - 0.2e1 * t888 * t470 - 0.2e1 * t476 * t879 + 0.2e1 * t1018 * t697 - 0.2e1 * t909 * t463 - 0.2e1 * t489 * t867)) * t177 / 0.2e1;
  energyGradient[2] = -0.2500000000e0 * t918 * t177 * ((t997 * t130 + t61 * t1059 + t1075 * t151 + t141 * t1088 + t1094 * t167 + t157 * t1107) * t421 - t425 * (t1070 * t130 + t136 * t1059 + t994 * t151 + t58 * t1088 + t981 * t167 + t50 * t1107)) * t439 + (0.50e0 * t941 * (-0.2e1 * t942 * t1001 + 0.2e1 * t1128 * t473 + 0.2e1 * t447 * (-0.1e1 * t180 * t1131 + 0.1e1 * t13 * t1150 + 0.1e1 * t984 * t470 - t589 - 0.1e1 * t53 * t1159) - 0.2e1 * t954 * t1001 + 0.2e1 * t1168 * t486 + 0.2e1 * t476 * (-0.1e1 * t984 * t481 + t920 + 0.1e1 * t53 * t1177 + 0.1e1 * t912 * t1131 - 0.1e1 * t1150 * t118) - 0.2e1 * t974 * t1001 + 0.2e1 * t1190 * t494 + 0.2e1 * t489 * (-t536 + 0.1e1 * t118 * t1159 + t893 - 0.1e1 * t13 * t1177)) + 0.50e0 * t998 * (0.2e1 * t999 * t1001 - 0.2e1 * t1128 * t481 - 0.2e1 * t447 * t1177 + 0.2e1 * t1009 * t1001 - 0.2e1 * t1168 * t470 - 0.2e1 * t476 * t1159 + 0.2e1 * t1018 * t1001 - 0.2e1 * t1190 * t463 - 0.2e1 * t1150 * t489)) * t177 / 0.2e1;
  energyGradient[3] = 0.0e0;
  energyGradient[4] = 0.0e0;
  energyGradient[5] = 0.0e0;
  energyGradient[6] = 0.2500000000e0 * t3 * t6 * t175 * t177 + (0.50e0 * t941 * (0.2e1 * t447 * (0.1e1 * t13 * t1244 - 0.1e1 * t53 * t1251) + 0.2e1 * t476 * (0.1e1 * t53 * t1261 - 0.1e1 * t118 * t1244) + 0.2e1 * t489 * (0.1e1 * t1251 * t118 - 0.1e1 * t13 * t1261)) + 0.50e0 * t998 * (-0.2e1 * t447 * t1261 - 0.2e1 * t476 * t1251 - 0.2e1 * t489 * t1244)) * t177 / 0.2e1;
}
